com.ihr.xbrl.gui.basic

## Class VoidLogPanel

- java.lang.Object
- - com.ihr.xbrl.gui.basic.VoidLogPanel

- All Implemented Interfaces:
    JLogPanelInterface

      public class VoidLogPanel
      extends java.lang.Object
      implements JLogPanelInterface

  A Class that provides a GUI Neutral implementation of the JLogPanelInterface

  This class can be used in web applications that does not require any GUI.

  The returned handler is just a ConsoleHandler

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoidLogPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.log4j.Level` | `getLevel()` Gets the level.
    `org.apache.log4j.Appender` | `getLogHandler()` Gets the log handler.
    `void` | `resetLog()` Clear the content of the log window.
    `void` | `setLevel(org.apache.log4j.Level level)` Sets the level.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoidLogPanel

          public VoidLogPanel()

  - ### Method Detail

    - #### getLevel

          public org.apache.log4j.Level getLevel()

      Description copied from interface: `JLogPanelInterface`
      Gets the level.
      Specified by:
        `getLevel` in interface `JLogPanelInterface`
      Returns:
        Level

    - #### getLogHandler

          public org.apache.log4j.Appender getLogHandler()

      Description copied from interface: `JLogPanelInterface`
      Gets the log handler.
      Specified by:
        `getLogHandler` in interface `JLogPanelInterface`
      Returns:
        the log handler

    - #### resetLog

          public void resetLog()

      Description copied from interface: `JLogPanelInterface`
      Clear the content of the log window.
      Specified by:
        `resetLog` in interface `JLogPanelInterface`

    - #### setLevel

          public void setLevel(org.apache.log4j.Level level)

      Description copied from interface: `JLogPanelInterface`
      Sets the level.
      Specified by:
        `setLevel` in interface `JLogPanelInterface`
      Parameters:
        `level` - Level